<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gamestates/LoadGame.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_a965fb386e4455e156591f466d68ffdd.html">gamestates</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">LoadGame.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="LoadGame_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="GameState_8hpp.html">GameState.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;<a class="code" href="SceneEvent_8hpp.html">events/SceneEvent.hpp</a>&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1LoadGame.html">LoadGame</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1GameState.html">GameState</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a5deab30b7b68960f6d871bd3bad7dcbc">   12</a></span>    <a class="code hl_function" href="classgg_1_1LoadGame.html#a5deab30b7b68960f6d871bd3bad7dcbc">LoadGame</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a524f47a1a3e99d0aafbcc1133d5ed597">   13</a></span>    <a class="code hl_function" href="classgg_1_1LoadGame.html#a524f47a1a3e99d0aafbcc1133d5ed597">~LoadGame</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a012089b4102a2a9944cf64014d790b8e">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1LoadGame.html#a012089b4102a2a9944cf64014d790b8e">Enter</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a59171c9e105381f4cfeed42870f6be6f">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1LoadGame.html#a59171c9e105381f4cfeed42870f6be6f">Exit</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a1223fa3504565129721ad355c1c67f69">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1LoadGame.html#a1223fa3504565129721ad355c1c67f69">OnEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a76d5b796539a4d4bf65fcb93a078df54">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1LoadGame.html#a76d5b796539a4d4bf65fcb93a078df54">Update</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a77cce5144b17b222fa029187d944ab1b">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1LoadGame.html#a77cce5144b17b222fa029187d944ab1b">OnSelectedGameEvent</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1LoadGame.html#a000ae67689c85a4e6efd9cccc7ddb109">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1LoadGame.html#a000ae67689c85a4e6efd9cccc7ddb109">OnBackPressedEvent</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>};</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aGameState_8hpp_html"><div class="ttname"><a href="GameState_8hpp.html">GameState.hpp</a></div></div>
<div class="ttc" id="aSceneEvent_8hpp_html"><div class="ttname"><a href="SceneEvent_8hpp.html">SceneEvent.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1GameState_html"><div class="ttname"><a href="classgg_1_1GameState.html">gg::GameState</a></div><div class="ttdef"><b>Definition:</b> GameState.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html"><div class="ttname"><a href="classgg_1_1LoadGame.html">gg::LoadGame</a></div><div class="ttdef"><b>Definition:</b> LoadGame.hpp:10</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a000ae67689c85a4e6efd9cccc7ddb109"><div class="ttname"><a href="classgg_1_1LoadGame.html#a000ae67689c85a4e6efd9cccc7ddb109">gg::LoadGame::OnBackPressedEvent</a></div><div class="ttdeci">void OnBackPressedEvent()</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a012089b4102a2a9944cf64014d790b8e"><div class="ttname"><a href="classgg_1_1LoadGame.html#a012089b4102a2a9944cf64014d790b8e">gg::LoadGame::Enter</a></div><div class="ttdeci">void Enter() override</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a1223fa3504565129721ad355c1c67f69"><div class="ttname"><a href="classgg_1_1LoadGame.html#a1223fa3504565129721ad355c1c67f69">gg::LoadGame::OnEvent</a></div><div class="ttdeci">void OnEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a524f47a1a3e99d0aafbcc1133d5ed597"><div class="ttname"><a href="classgg_1_1LoadGame.html#a524f47a1a3e99d0aafbcc1133d5ed597">gg::LoadGame::~LoadGame</a></div><div class="ttdeci">~LoadGame() override</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a59171c9e105381f4cfeed42870f6be6f"><div class="ttname"><a href="classgg_1_1LoadGame.html#a59171c9e105381f4cfeed42870f6be6f">gg::LoadGame::Exit</a></div><div class="ttdeci">void Exit() override</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a5deab30b7b68960f6d871bd3bad7dcbc"><div class="ttname"><a href="classgg_1_1LoadGame.html#a5deab30b7b68960f6d871bd3bad7dcbc">gg::LoadGame::LoadGame</a></div><div class="ttdeci">LoadGame()</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a76d5b796539a4d4bf65fcb93a078df54"><div class="ttname"><a href="classgg_1_1LoadGame.html#a76d5b796539a4d4bf65fcb93a078df54">gg::LoadGame::Update</a></div><div class="ttdeci">void Update() override</div></div>
<div class="ttc" id="aclassgg_1_1LoadGame_html_a77cce5144b17b222fa029187d944ab1b"><div class="ttname"><a href="classgg_1_1LoadGame.html#a77cce5144b17b222fa029187d944ab1b">gg::LoadGame::OnSelectedGameEvent</a></div><div class="ttdeci">void OnSelectedGameEvent(const std::string &amp;)</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
